<?php
$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_2aef71f10306" . "9bdb72b57d0b3" . "bd1d294" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLSBwYWdlIG5vdCBpZGVudGlma" . "WVk"), "page_i" . "d" => base64_decode("cGFnZV9pZA" . "=="), "_69c6236c927bc93c5" . "d062074967d834d" => base64_decode("cGFnZV9" . "2ZXJzaW" . "9u"), "_1a6a10bd09998ad0" . "ae2a2b4e0fd966e8" => base64_decode("U0NSSV" . "BUX1VS" . "SQ=="));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_1a6a10bd09998a" . "d0ae2a2b4e0fd96" . "6e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_2aef71f103069bdb72b57d0b" . "3bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["page_" . "id"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $comments = new PublishComments($attributes[$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["page_" . "id"]], $attributes[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_69c6236c927bc93" . "c5d062074967d834" . "d"]]);
        return $comments;
    }
}